Last Comment Bug 714452 - Auto-save happens even if message is currently being sent (Port Thunderbird Bug 307028).
: Auto-save happens even if message is currently being sent (Port Thunderbird B...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Composition (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Philip Chee
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-31 07:41 PST by Philip Chee
Modified: 2012-01-22 19:44 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 straight port. (1.07 KB, patch)
2011-12-31 07:47 PST, Philip Chee
iann_bugzilla: review+
mnyromyr: superreview+
Details | Diff | Splinter Review

Description Philip Chee 2011-12-31 07:41:45 PST
From Bug 307028 Comment 0:
> 3. Auto-save is saving the message even after pressing "send" during the time it
> takes to send/transfer the message. It should ideally save only when composing.
Comment 1 Philip Chee 2011-12-31 07:47:36 PST
Created attachment 585143 [details] [diff] [review]
Patch v1.0 straight port.

Simple one line fix. Direct port from Thunderbird. Seems to work but I can't test directly. Tested indirectly using ExecuteJS with the following JS:

gSendOrSaveOperationInProgress= false;
AutoSave();
gSendOrSaveOperationInProgress= true;
AutoSave();
Comment 2 Philip Chee 2012-01-17 01:22:42 PST
Comment on attachment 585143 [details] [diff] [review]
Patch v1.0 straight port.

Changing reviewer in the hopes of getting faster reviews.
Comment 3 Philip Chee 2012-01-22 19:44:35 PST
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/0a9e4a441196

Note You need to log in before you can comment on or make changes to this bug.